Reply::Config(3pm)

NAME
Reply::Config - config loading for Reply

VERSION
version 0.34

SYNOPSIS
  use Reply;
  use Reply::Config;

  Reply->new(config => Reply::Config->new(file => 'something_else'))->run;

DESCRIPTION
This class abstracts out the config file loading, so that other applications can start up Reply shells using similar logic. Reply configuration is specified in an INI format - see Reply for more details.

METHODS

  new(%opts)
Creates a new config object. Valid options are:

file
    Configuration file to use. If the file is specified by a relative path, it will be relative to the user's home directory, otherwise it will be used as-is.

  file
Returns the absolute path to the config file that is to be used.

  data
Returns the loaded configuration data.

AUTHOR
Jesse Luehrs <doy@tozt.net>

COPYRIGHT AND LICENSE
This software is Copyright (c) 2013 by Jesse Luehrs.

This is free software, licensed under:

  The MIT (X11) License